% Los programas son para fines educativo y se ofrecen para uso publico en educacin
% Maestria en Ciencias de la Computacin.
% Dr. Carlos Barrn Romero
% Septiembre de 2018
%=============================================================
% Lee un archivo de un cluster (Por ejemplo da038.015) y 
% lo visualiza
% This program calls the
% subroutine S_plot_Points to draw the geometry of 
% a cluster with one particle as center
% ====================================================================
% More information of this subroutine is in the article:
% Discrete Optimal Global Convergence of a Novel Evolutionary Algorithm
% for Clusters under the  Potential of Lennard Jones
% Author: Carlos Barron Romero
% Universidad Autonoma Metropolitana, campus Azcapotzalco
% Mexico City.
% This subroutine can be freely used, distributed or modified under 
% your own responsability.
% ====================================================================
%feature('UseGenericOpenGL',0);
[filename,pname] =  uigetfile('*.*');
% Define your own routine to read the particles' coordinates 
% of a optimal cluster under the Leenard Jones Potential
% or S_read_cl_LJ is set to read the files in the 
% The Cambridge Energy Landscape Database 
% (http://www-wales.ch.cam.ac.uk/CCD.html)
%
% The input parameters is the file name 
% Is is ####.txt, where #### is the cluster's number of particles 
[ncl, xcl,ycl,zcl] = leerdatos([pname,filename],filename);
nv1=0;
nv2=5;
clf;
S_plot_Points(ncl,xcl,ycl,zcl,nv1,nv2);
