% Los programas son para fines educativo y se ofrecen para uso publico en educacin
% Maestria en Ciencias de la Computacin.
% Dr. Carlos Barrn Romero
% Septiembre de 2018
%=============================================================
% Lee un archivo de un cluster (Por ejemplo da038.015), lo minimiza
% y visualiza el cluster optimo resultante
[filename,pname] =  uigetfile('*.*');

[n,x,y,z] = leerdatos([pname,filename],filename);
 
pto0 = [x,y,z];
options = optimset('Diagnostics','off', 'Display','iter','TolFun',1e-4,'GradObj','on');

[pto_min, fmin, LJ_p] = fminunc(@FunLJb1, pto0, options);
% [fmin, g, LJ_p] = FunLJb1(pto_min);

line=sprintf('n=%3.3d fmin=%f',n,fmin);
disp(line);

xm = pto_min(1:n);
ym = pto_min(n+1:2*n);
zm = pto_min(2*n+1:3*n);
nv1=0;
nv2=5;
% Pto inicial
% S_plot_geCl_LJ_clb1(n,x,y,z,nv1,nv2);
clf
S_plot_geCl_LJ_clb1(n,xm,ym,zm,nv1,nv2);
 